com.aspose.omr

## Class AsposeLicenseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.aspose.omr.AsposeLicenseException

- All Implemented Interfaces:
    Serializable

      public class AsposeLicenseException
      extends Exception

  This exception is thrown if any errors with license is detected.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsposeLicenseException()` Creates a new `AsposeLicenseException`.
    `AsposeLicenseException(String message)` Creates a new `AsposeLicenseException` with a message string.
    `AsposeLicenseException(String message, Throwable cause)` Creates a new `AsposeLicenseException` with a message string and a reason.
    `AsposeLicenseException(Throwable cause)` Creates a new `AsposeLicenseException` with a reason.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AsposeLicenseException

          public AsposeLicenseException()

      Creates a new `AsposeLicenseException`.

    - #### AsposeLicenseException

          public AsposeLicenseException(String message)

      Creates a new `AsposeLicenseException` with a message string.
      Parameters:
        `message` - The message string.

    - #### AsposeLicenseException

          public AsposeLicenseException(String message,
                                Throwable cause)

      Creates a new `AsposeLicenseException` with a message string and a reason.
      Parameters:
        `message` - The message string.
        `cause` - The reason, i.e. a throwable that indirectly caused this exception.

    - #### AsposeLicenseException

          public AsposeLicenseException(Throwable cause)

      Creates a new `AsposeLicenseException` with a reason.
      Parameters:
        `cause` - The reason, i.e. a throwable that indirectly caused this exception.

Copyright © 2014. All rights reserved.